import { IPackageStateApi, PackageStateEvent, PackageType } from "../apis/api.interfaces";
export declare class PackageStateApi implements IPackageStateApi {
    private _packageStateApi;
    private _eventListeners;
    private _isPackageInstalled;
    constructor();
    initialize(): Promise<void>;
    isPackageInstalled(pfn: PackageType): Promise<boolean>;
    addEventListener(listener: (eventName: PackageStateEvent) => void): void;
    removeEventListener(listener: (eventName: PackageStateEvent) => void): void;
    private fireEvent;
    firePackageStateUpdatedEvent(): void;
}
